Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Some errors after 'rekall live' command #505

Open
yavuzwb opened this issue Jul 31, 2019 · 0 comments

Comments

@yavuzwb
Copy link

@yavuzwb yavuzwb commented Jul 31, 2019

Hello,

I installed Python 3.7.3 then I created new virtualenv called DEV. After that, I am going to install rekall tool (rekall/rekall-core/setup.py). I finished rekall installation part but when I try to 'rekall live' command, I got that errors.

(DEV) C:\Users\test1\rekall>rekall live
Traceback (most recent call last):
File "C:\Users\test1\AppData\Local\Programs\Python\Python37-32\Scripts\DEV\lib
\site-packages\pkg_resources_init_.py", line 583, in build_master
ws.require(requires)
File "C:\Users\test1\AppData\Local\Programs\Python\Python37-32\Scripts\DEV\lib
\site-packages\pkg_resources_init
.py", line 900, in require
needed = self.resolve(parse_requirements(requirements))
File "C:\Users\test1\AppData\Local\Programs\Python\Python37-32\Scripts\DEV\lib
\site-packages\pkg_resources_init_.py", line 791, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (future 0.17.1 (c:\users\test1\appdata
local\programs\python\python37-32\scripts\dev\lib\site-packages\future-0.17.1-py
3.7.egg), Requirement.parse('future==0.16.0'), {'rekall-efilter'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Users\test1\AppData\Local\Programs\Python\Python37-32\Scripts\DEV\Scr
ipts\rekall-script.py", line 6, in
from pkg_resources import load_entry_point
File "C:\Users\test1\AppData\Local\Programs\Python\Python37-32\Scripts\DEV\lib
\site-packages\pkg_resources_init_.py", line 3241, in
@call_aside
File "C:\Users\test1\AppData\Local\Programs\Python\Python37-32\Scripts\DEV\lib
\site-packages\pkg_resources_init
.py", line 3225, in call_aside
f(*args, **kwargs)
File "C:\Users\test1\AppData\Local\Programs\Python\Python37-32\Scripts\DEV\lib
\site-packages\pkg_resources_init
.py", line 3254, in _initialize_master_work
ing_set
working_set = WorkingSet.build_master()
File "C:\Users\test1\AppData\Local\Programs\Python\Python37-32\Scripts\DEV\lib
\site-packages\pkg_resources_init
.py", line 585, in _build_master
return cls.build_from_requirements(requires)
File "C:\Users\test1\AppData\Local\Programs\Python\Python37-32\Scripts\DEV\lib
\site-packages\pkg_resources_init
.py", line 598, in _build_from_requirements

dists = ws.resolve(reqs, Environment())

File "C:\Users\test1\AppData\Local\Programs\Python\Python37-32\Scripts\DEV\lib
\site-packages\pkg_resources_init_.py", line 791, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (future 0.17.1 (c:\users\test1\appdata
local\programs\python\python37-32\scripts\dev\lib\site-packages\future-0.17.1-py
3.7.egg), Requirement.parse('future==0.16.0'), {'rekall-efilter'})

OS: Windows7x86
Python version : 3.7.3

Could you please help me about this issues?

Thank you

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
1 participant
You can’t perform that action at this time.